package implementacoes;

import java.io.Serializable;
import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

import interfaces.VotoInterface;

public class VotoImpl extends UnicastRemoteObject implements Serializable, VotoInterface {

	private static final long serialVersionUID = 1L;
	
	private CandidatoImpl candidato;
	private String identificador;

	public VotoImpl(String identificador, CandidatoImpl candidato) throws RemoteException {
		super();
		this.candidato = candidato;
		this.identificador = identificador;
	}

	@Override
	public CandidatoImpl getCandidato() {
		return candidato;
	}
	
	@Override
	public String getIdentificador() {
		return identificador;
	}
}
